jQuery(document).ajaxStart(function(){
  $('<div class="modal-backdrop fade in" id="sys_modal"><img src="/assets/ajax-loader.gif" style="margin-top: 25%;margin-left: 50%;"></div>').appendTo('body');
});

jQuery(document).ajaxComplete(function(){
  $("#sys_modal").hide().remove();
});
